karma-chai-plugins

Chai browser plugins set for Karma

npm install karma-chai-plugins
82 downloads in the last day
424 downloads in the last week
2 729 downloads in the last month

karma-chai-plugins

Chai browser plugins set for Karma

Dependency Status

Installation

Install the karma-chai-plugins:

$ npm install karma-chai-plugins --save-dev

Add chai and plugins you need to the frameworks key in your Karma configuration:

module.exports = (config) ->
  config.set

    # frameworks to use
    frameworks: ['mocha', 'chai', 'chai-as-promised']

    # ...

Bundled plugins

Browser support

Same as Chai.js: IE 9+, Chrome 7+, FireFox 4+, Safari 5+ except should style that is currently not compatible with IE 9.

Consider karma-expect, if you need run tests in IE8 and lower.

Limited require.js support

karma-chai-plugins supports requirejs in tests, but for now it should be stated in frameworks before chai and other plugins:

module.exports = (config) ->
  config.set

    # frameworks to use
    frameworks: ['mocha', 'requirejs', 'chai', 'chai-as-promised']

    # ...
npm loves you